# elasticsearch

Nomad job template for Elasticsearch cluster

# Setup initial password
A random password is generated for the elastic system account (in vault, kv/service/elasticsearch, key elastic_pwd) but is not used automaticaly. You must setup passwords with
```
elasticsearch-setup-passwords interactive
```

# Configure replicas for indices
Once elastic passwords are OK, you can configure indices to have the desired number of replicas
```
for INDEX in inventory stock purchase-requests; do
  curl --user 'elastic:XXX' \
    -X PUT \
    -H 'Content-Type: application/json' \
    http://localhost:9200/${INDEX}/_settings \
    -d '{ "index.number_of_replicas" : 2 }'
done
```
