#!/bin/sh

set -euo pipefail

[ -d "${ES_TMPDIR}" ] || mkdir -p "${ES_TMPDIR}"

if [ -n "${ES_PATH_CONF}" -a "${ES_PATH_CONF}" != "/opt/elasticsearch/config" ]; then
  [ -d "${ES_PATH_CONF}" ] || mkdir -p "${ES_PATH_CONF}"
  for FILE in /opt/elasticsearch/config/*; do
    if [ ! -e "${ES_PATH_CONF}/$(basename ${FILE})" ]; then
      echo "Copy ${FILE} to ${ES_PATH_CONF}/$(basename ${FILE})"
      cp -r ${FILE} ${ES_PATH_CONF}/$(basename ${FILE})
    fi
  done
fi
