#!/bin/sh

set -euo pipefail

[[- $pass_to_gen := .elasticsearch.vault.rand_secrets.fields ]]
[[- range $k, $v := .elasticsearch.server.users ]]
  [[- if not (has $v "password") ]]
    [[- $pass_to_gen = append (printf "%s_pwd" ($k | regexp.Replace "\\-" "_")) $pass_to_gen ]]
  [[- end ]]
[[- end ]]
[[ template "common/vault.rand_secrets" merge (dict "vault" (dict "rand_secrets" (dict "fields" $pass_to_gen))) . ]]
